BASE64(1)

BEZEICHNUNG
base64 - Daten »base64«-(de)kodiert zur Standardausgabe leiten

ÜBERSICHT
base64 [OPTION]… [DATEI]

BESCHREIBUNG

DATEI oder Standardeingabe mittels Base64 kodieren oder dekodieren und in die Standardausgabe schreiben.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-d, --decode
    Daten dekodieren

-i, --ignore-garbage
    Nichtalphabetische Zeichen beim Dekodieren ignorieren.

-w, --wrap=ANZAHL
    Kodierte Zeilen nach ANZAHL Zeichen umbrechen (Voreinstellung 76). Verwenden Sie 0, um Zeilenumbrüche zu verhindern.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Die Daten werden entsprechend dem Base64‐Alphabet aus RFC 4648 kodiert. Beim Dekodieren darf die Eingabe zusätzlich zu den formal gültigen Base64‐Zeichen noch Zeilenumbrüche enthalten. Benutzen Sie --ignore-garbage, um zu versuchen, auch weitere nicht zum Alphabet gehörende Zeichen in der kodierten Eingabe zu verkraften.

AUTOR
Geschrieben von Simon Josefsson.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
basenc(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/base64>
oder lokal verfügbar mit: info '(coreutils) base64 invocation'

Paketiert durch Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.